//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kmfappstate.h"

// QT Includes

// KDE Includes
#include "kdebug.h"



namespace KMF {

bool KMFAppState::_upAndRunning = false;
bool KMFAppState::_hasOpenDoc = false;


KMFAppState::KMFAppState(){}


KMFAppState::~KMFAppState(){}

void KMFAppState::setUpAndRunning( bool on ) {
	kdDebug() << "KMFAppState::setUpAndRunning( " <<  on << " ) " <<  endl;
	_upAndRunning = on;
}

// void KMFAppState::setHasOpenDoc( bool on ) {
// 	kdDebug() << "KMFAppState::setHasOpenDoc( " <<  on << " ) " <<  endl;
// 	_hasOpenDoc = on;
// }

bool KMFAppState::upAndRunning() {
	return _upAndRunning;
}
// bool KMFAppState::hasOpenDoc()  {
// 	return _hasOpenDoc;
// }

}
